Bug 27125 - Show authority type for UNIMARC in authority search result display
Summary: Show authority type for UNIMARC in authority search result display
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords:
Depends on: 12533
Blocks:
  Show dependency treegraph
 
Reported: 2020-12-01 13:26 UTC by Fridolin Somers
Modified: 2021-05-24 15:14 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.06


Attachments
Bug 27125: Show authority type also for UNIMARC in authority search result display (1.48 KB, patch)
2020-12-01 13:31 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 27125: Show authority type also for UNIMARC in authority search result display (1.81 KB, patch)
2021-03-02 02:15 UTC, Andreas Roussos
Details | Diff | Splinter Review
Bug 27125: Show authority type also for UNIMARC in authority search result display (1.83 KB, patch)
2021-04-16 13:15 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2020-12-01 13:26:22 UTC
Bug 12533 added authority type in authority search result display.
But it does not work for UNIMARC, due to :
https://git.koha-community.org/Koha-community/Koha/src/commit/be9f64b638335cac7465ca302e187c7914534fbe/C4/AuthoritiesMarc.pm#L798

I propose to use result->{authtype}
Comment 1 Fridolin Somers 2020-12-01 13:31:03 UTC
Created attachment 114072 [details] [review]
Bug 27125: Show authority type also for UNIMARC in authority search result display

Bug 12533 added authority type in authority search result display.
But it does not work for UNIMARC, due to :
https://git.koha-community.org/Koha-community/Koha/src/commit/be9f64b638335cac7465ca302e187c7914534fbe/C4/AuthoritiesMarc.pm#L798

I propose to use result->{authtype}

Test plan :
1) Use UNIMARC catalogue
2) Search for autorities
3) Check you see autority type in column
4) Same for a MARC21 catalogue
Comment 2 Andreas Roussos 2021-03-02 02:15:34 UTC
Created attachment 117469 [details] [review]
Bug 27125: Show authority type also for UNIMARC in authority search result display

Bug 12533 added authority type in authority search result display.
But it does not work for UNIMARC, due to :
https://git.koha-community.org/Koha-community/Koha/src/commit/be9f64b638335cac7465ca302e187c7914534fbe/C4/AuthoritiesMarc.pm#L798

I propose to use result->{authtype}

Test plan :
1) Use UNIMARC catalogue
2) Search for autorities
3) Check you see autority type in column
4) Same for a MARC21 catalogue

Signed-off-by: Andreas Roussos <a.roussos@dataly.gr>
I followed the test plan, and the patch works as expected for both
UNIMARC and MARC21. There is actually an improvement in the MARC21 case:
previously, the 'Authority type' column for records in the Default
framework would not display anything, whereas now it displays 'Default'.
Comment 3 Kyle M Hall 2021-04-16 13:15:35 UTC
Created attachment 119732 [details] [review]
Bug 27125: Show authority type also for UNIMARC in authority search result display

Bug 12533 added authority type in authority search result display.
But it does not work for UNIMARC, due to :
https://git.koha-community.org/Koha-community/Koha/src/commit/be9f64b638335cac7465ca302e187c7914534fbe/C4/AuthoritiesMarc.pm#L798

I propose to use result->{authtype}

Test plan :
1) Use UNIMARC catalogue
2) Search for autorities
3) Check you see autority type in column
4) Same for a MARC21 catalogue

Signed-off-by: Andreas Roussos <a.roussos@dataly.gr>
I followed the test plan, and the patch works as expected for both
UNIMARC and MARC21. There is actually an improvement in the MARC21 case:
previously, the 'Authority type' column for records in the Default
framework would not display anything, whereas now it displays 'Default'.
Comment 4 Jonathan Druart 2021-04-16 14:31:05 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 5 Fridolin Somers 2021-04-29 09:25:03 UTC
Pushed to 20.11.x for 20.11.06
Comment 6 Andrew Fuerste-Henry 2021-05-24 15:14:32 UTC
Missing dependency, not backported to 20.05